/*
 * Copyright (c) 2009 Lukas Mejdrech
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * - Redistributions of source code must retain the above copyright
 *   notice, this list of conditions and the following disclaimer.
 * - Redistributions in binary form must reproduce the above copyright
 *   notice, this list of conditions and the following disclaimer in the
 *   documentation and/or other materials provided with the distribution.
 * - The name of the author may not be used to endorse or promote products
 *   derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

/** @addtogroup ip
 *  @{
 */

/** @file
 */

#include <ipc/services.h>

#include <ipc/services.h>

#include "../../messages.h"
#include "../../modules.h"

#include "../../include/device.h"
#include "../../include/ip_interface.h"

#include "../../structures/packet/packet_client.h"

#include "../il_messages.h"

int ip_bind_service( services_t service, services_t me, async_client_conn_t receiver ){
	return bind_service( service, 0, me, 0, receiver );
}

int ip_device_req( int ip_phone, device_id_t device_id, services_t service ){
	return generic_device_req( ip_phone, NET_IL_DEVICE, device_id, 0, service );
}

int ip_send_msg( int ip_phone, device_id_t device_id, packet_t packet, services_t sender ){
	return generic_send_msg( ip_phone, NET_IL_SEND, -1, packet_get_id( packet ), sender );
}

int ip_connect_module( services_t service ){
	return connect_to_service( SERVICE_IP );
}

/** @}
 */
